//
//  ViewController.m
//  ThumbButton
//
//  Created by 张锋 on 16/6/22.
//  Copyright © 2016年 张锋. All rights reserved.
//

#import "ViewController.h"
#import "ThumbButton.h"

@interface ViewController () <ThumbButtonDelegate>
- (IBAction)thumFail:(id)sender;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    ThumbButton *button = [[ThumbButton alloc] init];
    // button.delegate = self;
    button.center = self.view.center;
    [self.view addSubview:button];
    
    button.buttonClick = ^(){
        NSLog(@"按钮被点击回调");
    };
}

- (void)thumbButtonClick
{
    // NSLog(@"按钮被点击代理");
}

#pragma mark - 模拟点赞失败
- (IBAction)thumFail:(id)sender
{
    [[NSNotificationCenter defaultCenter] postNotificationName:kThumbButtonHasFailWithThumb object:nil];
}

@end
